/*
    fvVectorMatrix UEqn
    (
        fvm::ddt(U)
      + fvm::div(phi, U)
      + turbulence->divDevReff(U)
    );
*/

    fvVectorMatrix UEqn
(
    pZones.ddt(U)
  + 1.0/pZones.porosity()*fvm::div(phi/(porosityFace), U)
  + 1.0/pZones.porosity()*turbulence->divDevReff(U)
);


    if (oCorr == nOuterCorr - 1)
    {
        if (mesh.solutionDict().relax("UFinal"))
        {
            UEqn.relax(mesh.solutionDict().relaxationFactor("UFinal"));
        }
        else
        {
            UEqn.relax(1);
        }
    }
    else
    {
        UEqn.relax();
    }

    pZones.addResistance(UEqn);

    if (momentumPredictor)
    {
        solve(UEqn == -fvc::grad(p));
    }
